/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { BciSharedModule, BreadcrumbsModule, BreadcrumbsService } from '@bci-web-core/core';
import { BreadcrumbsDemoComponent } from './breadcrumbs-demo.component';

describe('BreadcrumbsDemoComponent', () => {
  let component: BreadcrumbsDemoComponent;
  let fixture: ComponentFixture<BreadcrumbsDemoComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [RouterTestingModule, BciSharedModule, BreadcrumbsModule],
        declarations: [BreadcrumbsDemoComponent],
        providers: [
          {
            provide: BreadcrumbsService,
            useValue: {
              // eslint-disable-next-line no-empty-function
              setTemporaryTitleForPartialRoute: () => {},
            },
          },
        ],
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(BreadcrumbsDemoComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
